tvbrowser.ui.programtable.background

## Class UiTimeBlockBackPainter

- java.lang.Object
- - tvbrowser.ui.programtable.background.AbstractBackPainter
  - - tvbrowser.ui.programtable.background.UiTimeBlockBackPainter

- All Implemented Interfaces:
    BackgroundPainter

      public class UiTimeBlockBackPainter
      extends AbstractBackPainter

  Author:
    René Mach

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) class` | `UiTimeBlockBackPainter.TimeBlockTableWest`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UiTimeBlockBackPainter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.swing.JComponent` | `getTableWest()` Gets the component that should be shown in the west of the table.
    `void` | `layoutChanged(ProgramTableLayout layout, ProgramTableModel model)` Is called when the table's layout has changed.
    `void` | `paintBackground(java.awt.Graphics grp, int columnWidth, int tableHeight, int minCol, int maxCol, java.awt.Rectangle clipBounds, ProgramTableLayout layout, ProgramTableModel model)` Paints the background.

    - ### Methods inherited from class tvbrowser.ui.programtable.background.AbstractBackPainter

      `fillImage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UiTimeBlockBackPainter

          public UiTimeBlockBackPainter()

  - ### Method Detail

    - #### layoutChanged

          public void layoutChanged(ProgramTableLayout layout,
                           ProgramTableModel model)

      Is called when the table's layout has changed.
      Specified by:
        `layoutChanged` in interface `BackgroundPainter`
      Overrides:
        `layoutChanged` in class `AbstractBackPainter`

    - #### paintBackground

          public void paintBackground(java.awt.Graphics grp,
                             int columnWidth,
                             int tableHeight,
                             int minCol,
                             int maxCol,
                             java.awt.Rectangle clipBounds,
                             ProgramTableLayout layout,
                             ProgramTableModel model)

      Paints the background.
      Parameters:
        `grp` -
        `columnWidth` -
        `tableHeight` -
        `clipBounds` -
        `layout` - The table's layout
        `model` - The table model

    - #### getTableWest

          public javax.swing.JComponent getTableWest()

      Gets the component that should be shown in the west of the table.

      If nothing should be shown in the west, null is returned.

      Specified by:
        `getTableWest` in interface `BackgroundPainter`
      Overrides:
        `getTableWest` in class `AbstractBackPainter`
      Returns:
        The table west.

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)